## kf6-ksvg 6.12.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.16)

set(KF_VERSION "6.12.0") # handled by release scripts
set(KF_DEP_VERSION "6.12.0") # handled by release scripts
project(KSvg VERSION ${KF_VERSION})

# ECM setup
include(FeatureSummary)
find_package(ECM 6.12.0  NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)

set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEGitCommitHooks)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

include(ECMGenerateExportHeader)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(KDEPackageAppTemplates)
include(ECMGenerateQmlTypes)
include(ECMMarkNonGuiExecutable)
include(ECMDeprecationSettings)
include(ECMQmlModule)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT
                  VARIABLE_PREFIX KSVG
                  VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/ksvg_version.h"
                  PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6SvgConfigVersion.cmake"
                  SOVERSION 6)

################# now find all used packages #################

set (REQUIRED_QT_VERSION 6.6.0)

find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Quick Gui Qml Svg QuickControls2)

find_package(KF6 ${KF_DEP_VERSION} REQUIRED
    COMPONENTS
        Archive        # svgz
        Config         # rects cache
        ColorScheme
        CoreAddons
        GuiAddons      # KImageCache
        KirigamiPlatform      # Kirigami.Theme
)

#########################################################################

ecm_set_disabled_deprecation_versions(
    QT 6.8.0
    KF 6.11.0
)

#add_definitions(-Wno-deprecated)

#########################################################################

option(BUILD_TOOLS "Build and install KSVG tools." OFF)

option(BUILD_COVERAGE "Build Plasma Frameworks with gcov support" OFF)

if(BUILD_COVERAGE)
    set(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -fprofile-arcs -ftest-coverage")
    set(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -lgcov")
endif()

# make ksvg_version.h available
include_directories(${CMAKE_CURRENT_BINARY_DIR})

################# list the subdirectories #################
add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(autotests)
endif()

################ create PlasmaConfig.cmake and install it ###########################

# create a Config.cmake and a ConfigVersion.cmake file and install them

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Svg")

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KF6Svg_QCH
        FILE KF6SvgQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6SvgQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF6SvgConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6SvgConfig.cmake"
  INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
  PATH_VARS  CMAKE_INSTALL_PREFIX
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF6SvgConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF6SvgConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF6SvgTargets
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KF6SvgTargets.cmake
        NAMESPACE KF6::
        COMPONENT Devel)

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/ksvg_version.h
        DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KSvg COMPONENT Devel )

include(ECMFeatureSummary)
ecm_feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)

=== src/declarativeimports/CMakeLists.txt ===
ecm_add_qml_module(corebindingsplugin URI "org.kde.ksvg" VERSION 1.0 DEPENDENCIES QtQuick GENERATE_PLUGIN_SOURCE)

target_sources(corebindingsplugin PRIVATE
    svgitem.cpp
    framesvgitem.cpp
    managedtexturenode.cpp
    imagetexturescache.cpp
    types.h
)

target_link_libraries(corebindingsplugin PRIVATE
        Qt6::Quick
        Qt6::Qml
        Qt6::Svg
        KF6::Svg
        KF6::ColorScheme
        KF6::KirigamiPlatform
)

ecm_qt_declare_logging_category(corebindingsplugin
    HEADER debug_p.h
    IDENTIFIER LOG_KSVGQML
    CATEGORY_NAME kf.svg
    DESCRIPTION "KSvg QML plugin"
)

ecm_finalize_qml_module(corebindingsplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/tools/CMakeLists.txt ===
add_subdirectory(split-plasma-svgs)

## kf6-ksvg 6.3.1

=== debian/changelog ===
kf6-ksvg (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).

 -- Patrick Franz <deltaone@debian.org>  Thu, 20 Jun 2024 17:28:23 +0200

kf6-ksvg (6.3.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * Drop useless dependency on the ${shlibs:Depends} variable for the -dev
    package.
  * Fix Vcs-Git URLs.

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Standards-Version to 4.7.0 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 09 Jun 2024 14:58:32 +0200

kf6-ksvg (6.0.0-1) experimental; urgency=medium

  [ Simon Quigley ]
  * Initial release (Closes: #1068518).

 -- Aurélien COUDERC <coucouf@debian.org>  Mon, 06 May 2024 21:24:13 +0200

=== debian/control ===
Source: kf6-ksvg
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Patrick Franz <deltaone@debian.org>,
           Simon Quigley <tsimonq2@debian.org>,
Build-Depends: appstream,
               cmake (>= 3.16~),
               debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.3.0~),
               libkf6archive-dev (>= 6.3.0~),
               libkf6colorscheme-dev (>= 6.3.0~),
               libkf6config-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6guiaddons-dev (>= 6.3.0~),
               libkirigami-dev (>= 6.3.0~),
               libxkbcommon-dev,
               qt6-base-dev (>= 6.5.0+dfsg~),
               qt6-declarative-dev (>= 6.5.0+dfsg~),
               qt6-svg-dev (>= 6.5.0~),
               qt6-tools-dev (>= 6.5.0~),
               xauth <!nocheck>,
               xvfb <!nocheck>,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/frameworks/ksvg
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ksvg
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ksvg.git
Rules-Requires-Root: no

Package: libkf6svg-dev
Section: libdevel
Architecture: any
Depends: libkf6svg6 (= ${binary:Version}),
         qt6-base-dev (>= 6.5.0+dfsg~),
         ${misc:Depends},
Recommends: libkf6svg-doc (= ${source:Version}),
Description: library for rendering SVG-based themes - development files
 Framework for rendering SVG-based themes with stylesheet re-coloring and
 on-disk caching.
 .
 KSvg provides both C++ classes and QtQuick components to render svgs based on
 image packs. Compared to plain QSvg, it caches the rendered images on disk
 with KImageCache, and can re-color properly crafted svg shapes that include
 internal stylesheets.
 .
 The default behavior is to re-color with the application palette, making it
 possible to create UI elements in SVG.
 .
 This package contains the development files for the Qt6 version of KSvg.

Package: libkf6svg-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: library for rendering SVG-based themes - documentation
 Framework for rendering SVG-based themes with stylesheet re-coloring and
 on-disk caching.
 .
 KSvg provides both C++ classes and QtQuick components to render svgs based on
 image packs. Compared to plain QSvg, it caches the rendered images on disk
 with KImageCache, and can re-color properly crafted svg shapes that include
 internal stylesheets.
 .
 The default behavior is to re-color with the application palette, making it
 possible to create UI elements in SVG.
 .
 This package contains the qch documentation for the Qt6 version of KSvg.

Package: libkf6svg6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for rendering SVG-based themes
 Framework for rendering SVG-based themes with stylesheet re-coloring and
 on-disk caching.
 .
 KSvg provides both C++ classes and QtQuick components to render svgs based on
 image packs. Compared to plain QSvg, it caches the rendered images on disk
 with KImageCache, and can re-color properly crafted svg shapes that include
 internal stylesheets.
 .
 The default behavior is to re-color with the application palette, making it
 possible to create UI elements in SVG.
 .
 This package contains the Qt6 version the shared library.

Package: qml6-module-org-kde-ksvg
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for rendering SVG-based themes - QML module
 Framework for rendering SVG-based themes with stylesheet re-coloring and
 on-disk caching.
 .
 KSvg provides both C++ classes and QtQuick components to render svgs based on
 image packs. Compared to plain QSvg, it caches the rendered images on disk
 with KImageCache, and can re-color properly crafted svg shapes that include
 internal stylesheets.
 .
 The default behavior is to re-color with the application palette, making it
 possible to create UI elements in SVG.
 .
 This package contains the Qt6 version of the QtQuick QML module.

## kf6-ksvg 6.6.0

=== debian/changelog ===
kf6-ksvg (6.6.0-2) unstable; urgency=medium

  * Team upload.
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.

 -- Sandro Knauß <hefee@debian.org>  Mon, 18 Nov 2024 20:02:16 +0100

kf6-ksvg (6.6.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.6.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 06 Sep 2024 23:12:34 +0200

kf6-ksvg (6.5.0-2) unstable; urgency=medium

  * Team upload.
  * CI: update/simplify configuration.
  * Drop the appstream build dependency, used only for testing the static
    AppStream metainfo file shipped.
  * Pass "-a" to xvfb-run, so it should run in more cases.

 -- Pino Toscano <pino@debian.org>  Fri, 23 Aug 2024 07:56:30 +0200

kf6-ksvg (6.5.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.5.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 10 Aug 2024 23:22:08 +0200

kf6-ksvg (6.4.0-1) experimental; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.4.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 19 Jul 2024 09:24:45 +0200

=== debian/control ===
--- 
+++ 
@@ -5,19 +5,19 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
-Build-Depends: appstream,
-               cmake (>= 3.16~),
+Build-Depends: cmake (>= 3.16~),
                debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.3.0~),
-               libkf6archive-dev (>= 6.3.0~),
-               libkf6colorscheme-dev (>= 6.3.0~),
-               libkf6config-dev (>= 6.3.0~),
-               libkf6coreaddons-dev (>= 6.3.0~),
-               libkf6guiaddons-dev (>= 6.3.0~),
-               libkirigami-dev (>= 6.3.0~),
+               extra-cmake-modules (>= 6.6.0~),
+               libkf6archive-dev (>= 6.6.0~),
+               libkf6colorscheme-dev (>= 6.6.0~),
+               libkf6config-dev (>= 6.6.0~),
+               libkf6coreaddons-dev (>= 6.6.0~),
+               libkf6guiaddons-dev (>= 6.6.0~),
+               libkirigami-dev (>= 6.6.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),
@@ -35,6 +35,7 @@
 Section: libdevel
 Architecture: any
 Depends: libkf6svg6 (= ${binary:Version}),
+         qml6-module-org-kde-ksvg (= ${binary:Version}),
          qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6svg-doc (= ${source:Version}),
@@ -91,7 +92,7 @@
 
 Package: qml6-module-org-kde-ksvg
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: library for rendering SVG-based themes - QML module
  Framework for rendering SVG-based themes with stylesheet re-coloring and
  on-disk caching.

## kf6-ksvg 6.10.0

=== debian/changelog ===
kf6-ksvg (6.10.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.9.0).
  * Update build-deps and deps with the info from cmake.
  * New upstream release (6.10.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Fri, 10 Jan 2025 23:25:14 +0100

kf6-ksvg (6.8.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.8.0).
  * Update build-deps and deps with the info from cmake.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 04 Dec 2024 12:11:47 +0100

kf6-ksvg (6.7.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 03 Nov 2024 19:29:27 -0600

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,23 @@
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.6.0~),
-               libkf6archive-dev (>= 6.6.0~),
-               libkf6colorscheme-dev (>= 6.6.0~),
-               libkf6config-dev (>= 6.6.0~),
-               libkf6coreaddons-dev (>= 6.6.0~),
-               libkf6guiaddons-dev (>= 6.6.0~),
-               libkirigami-dev (>= 6.6.0~),
+               extra-cmake-modules (>= 6.10.0~),
+               libkf6archive-dev (>= 6.10.0~),
+               libkf6colorscheme-dev (>= 6.10.0~),
+               libkf6config-dev (>= 6.10.0~),
+               libkf6coreaddons-dev (>= 6.10.0~),
+               libkf6guiaddons-dev (>= 6.10.0~),
+               libkirigami-dev (>= 6.10.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
-               qt6-svg-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
+               qt6-svg-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
@@ -36,7 +36,7 @@
 Architecture: any
 Depends: libkf6svg6 (= ${binary:Version}),
          qml6-module-org-kde-ksvg (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6svg-doc (= ${source:Version}),
 Description: library for rendering SVG-based themes - development files

## kf6-ksvg 6.11.0

=== debian/changelog ===
kf6-ksvg (6.11.0-1) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * New upstream release (6.11.0).
  * Update build-deps and deps with the info from cmake.

 -- Aurélien COUDERC <coucouf@debian.org>  Sat, 15 Feb 2025 17:24:04 +0100

=== debian/control ===
--- 
+++ 
@@ -11,13 +11,13 @@
                dh-sequence-qmldeps,
                cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.10.0~),
-               libkf6archive-dev (>= 6.10.0~),
-               libkf6colorscheme-dev (>= 6.10.0~),
-               libkf6config-dev (>= 6.10.0~),
-               libkf6coreaddons-dev (>= 6.10.0~),
-               libkf6guiaddons-dev (>= 6.10.0~),
-               libkirigami-dev (>= 6.10.0~),
+               extra-cmake-modules (>= 6.11.0~),
+               libkf6archive-dev (>= 6.11.0~),
+               libkf6colorscheme-dev (>= 6.11.0~),
+               libkf6config-dev (>= 6.11.0~),
+               libkf6coreaddons-dev (>= 6.11.0~),
+               libkf6guiaddons-dev (>= 6.11.0~),
+               libkirigami-dev (>= 6.11.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.6.0~),
                qt6-declarative-dev (>= 6.6.0~),

## kf6-ksvg 6.12.0

=== debian/changelog ===
kf6-ksvg (6.12.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.12.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 18 Mar 2025 10:54:42 +0000

kf6-ksvg (6.11.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.11.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 14 Feb 2025 16:50:00 +0000

kf6-ksvg (6.10.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.10.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Jan 2025 12:21:14 +0000

kf6-ksvg (6.9.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.9.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Dec 2024 14:48:56 +0000

kf6-ksvg (6.8.0-0ubuntu2) plucky; urgency=medium

  * Merge changes from 6.6.0-2 in Debian unstable.
    - Use dh_qmldeps to detect QML dependencies.
    - Add qml6-module packages to -dev package for QML dependency
      detection.

 -- Rik Mills <rikmills@kde.org>  Sun, 01 Dec 2024 13:55:17 +0000

kf6-ksvg (6.8.0-0ubuntu1) plucky; urgency=medium

  * New upstream release (6.7.0)
  * New upstream release (6.8.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Nov 2024 16:38:28 +0000

kf6-ksvg (6.6.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.6.0)

 -- Scarlett Moore <sgmoore@debian.org>  Fri, 20 Sep 2024 19:07:44 +0100

kf6-ksvg (6.5.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.5.0)

 -- Rik Mills <rikmills@kde.org>  Tue, 13 Aug 2024 19:24:31 +0100

kf6-ksvg (6.4.0-0ubuntu1) oracular; urgency=medium

  * New upstream release (6.4.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 13 Jul 2024 16:35:46 +0100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,36 @@
 Source: kf6-ksvg
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: appstream,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.11.0~),
-               libkf6archive-dev (>= 6.11.0~),
-               libkf6colorscheme-dev (>= 6.11.0~),
-               libkf6config-dev (>= 6.11.0~),
-               libkf6coreaddons-dev (>= 6.11.0~),
-               libkf6guiaddons-dev (>= 6.11.0~),
-               libkirigami-dev (>= 6.11.0~),
+               extra-cmake-modules (>= 6.12.0~),
+               libkf6archive-dev (>= 6.12.0~),
+               libkf6colorscheme-dev (>= 6.12.0~),
+               libkf6config-dev (>= 6.12.0~),
+               libkf6coreaddons-dev (>= 6.12.0~),
+               libkf6guiaddons-dev (>= 6.12.0~),
+               libkirigami-dev (>= 6.12.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-declarative-dev (>= 6.6.0~),
-               qt6-svg-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-svg-dev (>= 6.5.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
 Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/ksvg
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ksvg
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ksvg.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ksvg
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ksvg
 Rules-Requires-Root: no
 
 Package: libkf6svg-dev
@@ -36,7 +38,7 @@
 Architecture: any
 Depends: libkf6svg6 (= ${binary:Version}),
          qml6-module-org-kde-ksvg (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6svg-doc (= ${source:Version}),
 Description: library for rendering SVG-based themes - development files

## kf6-ksvg 6.13.0

=== src/ksvg/CMakeLists.txt ===


# Consumer's include dir which has to be explicitly used to make headers of this lib visible to documented includes
# Results in duplicate of prefix-dir & C++ namespace below, but part of different things, so by design:
# <visibility-layer>/<C++ namespace>/class header files
set(KSVG_INSTALL_INCLUDEDIR "${KDE_INSTALL_INCLUDEDIR_KF}/KSvg")

add_library(KF6Svg)
add_library(KF6::Svg ALIAS KF6Svg)

qt_extract_metatypes(KF6Svg)

set_target_properties(KF6Svg PROPERTIES
    VERSION     ${KSVG_VERSION}
    SOVERSION   ${KSVG_SOVERSION}
    EXPORT_NAME Svg
)

target_sources(KF6Svg PRIVATE
    framesvg.cpp
    svg.cpp
    imageset.cpp
    private/imageset_p.cpp
)

ecm_qt_declare_logging_category(KF6Svg
    HEADER debug_p.h
    IDENTIFIER LOG_KSVG
    CATEGORY_NAME kf.svg
    DESCRIPTION "KSvg lib"
    EXPORT KSVG
)

ecm_generate_export_header(KF6Svg
    EXPORT_FILE_NAME ksvg/ksvg_export.h
    BASE_NAME KSvg
    GROUP_BASE_NAME KF
    VERSION ${KF_VERSION}
    USE_VERSION_HEADER
    DEPRECATED_BASE_VERSION 0
    EXCLUDE_DEPRECATED_BEFORE_AND_AT ${EXCLUDE_DEPRECATED_BEFORE_AND_AT}
    DEPRECATION_VERSIONS
)

target_link_libraries(KF6Svg
PUBLIC
    Qt6::Gui
    KF6::ConfigCore
PRIVATE
    Qt6::Svg
    KF6::Archive
    KF6::CoreAddons
    KF6::GuiAddons #kimagecache
    KF6::ConfigCore
    KF6::ColorScheme
)

set(KSvg_BUILD_INCLUDE_DIRS
    ${CMAKE_CURRENT_SOURCE_DIR}/..
    ${CMAKE_CURRENT_BINARY_DIR}
    ${CMAKE_CURRENT_BINARY_DIR}/KSvg
)
target_include_directories(KF6Svg
    PUBLIC
        "$<BUILD_INTERFACE:${KSvg_BUILD_INCLUDE_DIRS}>"
    INTERFACE
        "$<INSTALL_INTERFACE:${KSVG_INSTALL_INCLUDEDIR}>"
)

########### install files ###############
ecm_generate_headers(KSvg_CamelCase_HEADERS
    HEADER_NAMES
        FrameSvg
        Svg
        ImageSet
    REQUIRED_HEADERS KSvg_namespaced_HEADERS
    PREFIX KSvg
)

install(
    FILES ${KSvg_namespaced_HEADERS}
          ${CMAKE_CURRENT_BINARY_DIR}/ksvg/ksvg_export.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KSvg/ksvg # C++ namespace
    COMPONENT Devel
)

install(
    FILES ${KSvg_CamelCase_HEADERS}
    DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF}/KSvg/KSvg # C++ namespace
    COMPONENT Devel
)

install(TARGETS KF6Svg EXPORT KF6SvgTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

if(BUILD_QCH)
    ecm_add_qch(
        KF6Svg_QCH
        NAME KSvg
        BASE_NAME KF6Svg
        VERSION ${KF_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
            ${KSvg_namespaced_HEADERS}
            ../../Mainpage.dox
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        LINK_QCHS
            Qt6Gui_QCH
        INCLUDE_DIRS
            ${KSvg_BUILD_INCLUDE_DIRS}
        BLANK_MACROS
            KSVG_EXPORT
            KSVG_DEPRECATED
            KSVG_DEPRECATED_EXPORT
            "KSVG_DEPRECATED_VERSION(x, y, t)"
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== debian/changelog ===
kf6-ksvg (6.13.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.13.0).
  * Bump Standards-Version to 4.7.2 (No changes needed).
  * Update build-deps and deps with the info from cmake.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Sat, 12 Apr 2025 19:36:36 +0200

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,34 @@
 Source: kf6-ksvg
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
-Build-Depends: appstream,
-               cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.12.0~),
-               libkf6archive-dev (>= 6.12.0~),
-               libkf6colorscheme-dev (>= 6.12.0~),
-               libkf6config-dev (>= 6.12.0~),
-               libkf6coreaddons-dev (>= 6.12.0~),
-               libkf6guiaddons-dev (>= 6.12.0~),
-               libkirigami-dev (>= 6.12.0~),
+               extra-cmake-modules (>= 6.13.0~),
+               libkf6archive-dev (>= 6.13.0~),
+               libkf6colorscheme-dev (>= 6.13.0~),
+               libkf6config-dev (>= 6.13.0~),
+               libkf6coreaddons-dev (>= 6.13.0~),
+               libkf6guiaddons-dev (>= 6.13.0~),
+               libkirigami-dev (>= 6.13.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
-               qt6-svg-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.6.0~),
+               qt6-declarative-dev (>= 6.6.0~),
+               qt6-svg-dev (>= 6.6.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/ksvg
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ksvg
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ksvg
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ksvg
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ksvg.git
 Rules-Requires-Root: no
 
 Package: libkf6svg-dev
@@ -38,7 +36,7 @@
 Architecture: any
 Depends: libkf6svg6 (= ${binary:Version}),
          qml6-module-org-kde-ksvg (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.6.0~),
          ${misc:Depends},
 Recommends: libkf6svg-doc (= ${source:Version}),
 Description: library for rendering SVG-based themes - development files

## kf6-ksvg 6.14.0

=== debian/changelog ===
kf6-ksvg (6.14.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.14.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 10 May 2025 07:00:10 +0100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,36 @@
 Source: kf6-ksvg
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: appstream,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.13.0~),
-               libkf6archive-dev (>= 6.13.0~),
-               libkf6colorscheme-dev (>= 6.13.0~),
-               libkf6config-dev (>= 6.13.0~),
-               libkf6coreaddons-dev (>= 6.13.0~),
-               libkf6guiaddons-dev (>= 6.13.0~),
-               libkirigami-dev (>= 6.13.0~),
+               extra-cmake-modules (>= 6.14.0~),
+               libkf6archive-dev (>= 6.14.0~),
+               libkf6colorscheme-dev (>= 6.14.0~),
+               libkf6config-dev (>= 6.14.0~),
+               libkf6coreaddons-dev (>= 6.14.0~),
+               libkf6guiaddons-dev (>= 6.14.0~),
+               libkirigami-dev (>= 6.14.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.6.0~),
-               qt6-declarative-dev (>= 6.6.0~),
-               qt6-svg-dev (>= 6.6.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-svg-dev (>= 6.5.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/ksvg
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ksvg
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ksvg.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ksvg
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ksvg
 Rules-Requires-Root: no
 
 Package: libkf6svg-dev
@@ -36,7 +38,7 @@
 Architecture: any
 Depends: libkf6svg6 (= ${binary:Version}),
          qml6-module-org-kde-ksvg (= ${binary:Version}),
-         qt6-base-dev (>= 6.6.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6svg-doc (= ${source:Version}),
 Description: library for rendering SVG-based themes - development files

## kf6-ksvg 6.15.0

=== debian/changelog ===
kf6-ksvg (6.15.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.15.0)
  * Comment out .install for docs packages for now, as the qch docs are
    currently not buildable in Ubuntu.

 -- Rik Mills <rikmills@kde.org>  Fri, 13 Jun 2025 16:35:19 +0100

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.14.0~),
-               libkf6archive-dev (>= 6.14.0~),
-               libkf6colorscheme-dev (>= 6.14.0~),
-               libkf6config-dev (>= 6.14.0~),
-               libkf6coreaddons-dev (>= 6.14.0~),
-               libkf6guiaddons-dev (>= 6.14.0~),
-               libkirigami-dev (>= 6.14.0~),
+               extra-cmake-modules (>= 6.15.0~),
+               libkf6archive-dev (>= 6.15.0~),
+               libkf6colorscheme-dev (>= 6.15.0~),
+               libkf6config-dev (>= 6.15.0~),
+               libkf6coreaddons-dev (>= 6.15.0~),
+               libkf6guiaddons-dev (>= 6.15.0~),
+               libkirigami-dev (>= 6.15.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),

## kf6-ksvg 6.16.0

=== debian/changelog ===
kf6-ksvg (6.16.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.16.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 11 Jul 2025 16:47:43 +0100

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.15.0~),
-               libkf6archive-dev (>= 6.15.0~),
-               libkf6colorscheme-dev (>= 6.15.0~),
-               libkf6config-dev (>= 6.15.0~),
-               libkf6coreaddons-dev (>= 6.15.0~),
-               libkf6guiaddons-dev (>= 6.15.0~),
-               libkirigami-dev (>= 6.15.0~),
+               extra-cmake-modules (>= 6.16.0~),
+               libkf6archive-dev (>= 6.16.0~),
+               libkf6colorscheme-dev (>= 6.16.0~),
+               libkf6config-dev (>= 6.16.0~),
+               libkf6coreaddons-dev (>= 6.16.0~),
+               libkf6guiaddons-dev (>= 6.16.0~),
+               libkirigami-dev (>= 6.16.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),

## kf6-ksvg 6.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.12.0") # handled by release scripts
-set(KF_DEP_VERSION "6.12.0") # handled by release scripts
+set(KF_VERSION "6.17.0") # handled by release scripts
+set(KF_DEP_VERSION "6.17.0") # handled by release scripts
 project(KSvg VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.12.0  NO_MODULE)
+find_package(ECM 6.17.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -22,15 +22,12 @@
 include(CMakePackageConfigHelpers)
 include(ECMSetupVersion)
 include(ECMQtDeclareLoggingCategory)
-include(ECMAddQch)
 include(KDEPackageAppTemplates)
 include(ECMGenerateQmlTypes)
 include(ECMMarkNonGuiExecutable)
 include(ECMDeprecationSettings)
 include(ECMQmlModule)
-
-option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
-add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
+include(ECMGenerateQDoc)
 
 ecm_setup_version(PROJECT
                   VARIABLE_PREFIX KSVG
@@ -40,7 +37,7 @@
 
 ################# now find all used packages #################
 
-set (REQUIRED_QT_VERSION 6.6.0)
+set (REQUIRED_QT_VERSION 6.7.0)
 
 find_package(Qt6 ${REQUIRED_QT_VERSION} REQUIRED NO_MODULE COMPONENTS Quick Gui Qml Svg QuickControls2)
 
@@ -57,8 +54,8 @@
 #########################################################################
 
 ecm_set_disabled_deprecation_versions(
-    QT 6.8.0
-    KF 6.11.0
+    QT 6.10.0
+    KF 6.16.0
 )
 
 #add_definitions(-Wno-deprecated)
@@ -90,16 +87,6 @@
 
 set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6Svg")
 
-if (BUILD_QCH)
-    ecm_install_qch_export(
-        TARGETS KF6Svg_QCH
-        FILE KF6SvgQchTargets.cmake
-        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
-        COMPONENT Devel
-    )
-    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF6SvgQchTargets.cmake\")")
-endif()
-
 configure_package_config_file(
   "${CMAKE_CURRENT_SOURCE_DIR}/KF6SvgConfig.cmake.in"
   "${CMAKE_CURRENT_BINARY_DIR}/KF6SvgConfig.cmake"

=== src/ksvg/CMakeLists.txt ===
--- 
+++ 
@@ -92,28 +92,4 @@
 
 install(TARGETS KF6Svg EXPORT KF6SvgTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})
 
-if(BUILD_QCH)
-    ecm_add_qch(
-        KF6Svg_QCH
-        NAME KSvg
-        BASE_NAME KF6Svg
-        VERSION ${KF_VERSION}
-        ORG_DOMAIN org.kde
-        SOURCES # using only public headers, to cover only public API
-            ${KSvg_namespaced_HEADERS}
-            ../../Mainpage.dox
-        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
-        LINK_QCHS
-            Qt6Gui_QCH
-        INCLUDE_DIRS
-            ${KSvg_BUILD_INCLUDE_DIRS}
-        BLANK_MACROS
-            KSVG_EXPORT
-            KSVG_DEPRECATED
-            KSVG_DEPRECATED_EXPORT
-            "KSVG_DEPRECATED_VERSION(x, y, t)"
-        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
-        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
-        COMPONENT Devel
-    )
-endif()
+ecm_generate_qdoc(KF6Svg ksvg.qdocconf)

=== src/tools/split-plasma-svgs/CMakeLists.txt ===
add_executable(split-plasma-svgs)

target_sources(split-plasma-svgs PRIVATE
    split-plasma-svgs.cpp
)

target_link_libraries(split-plasma-svgs
PRIVATE
    Qt6::Core
    Qt6::Gui
    Qt6::Svg
    KF6::Archive
    KF6::CoreAddons
    KF6::Svg
)

=== debian/changelog ===
kf6-ksvg (6.17.0-0ubuntu1) questing; urgency=medium

  * New upstream release (6.17.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 08 Aug 2025 18:17:49 +0100

=== debian/control ===
--- 
+++ 
@@ -13,13 +13,13 @@
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
                doxygen,
-               extra-cmake-modules (>= 6.16.0~),
-               libkf6archive-dev (>= 6.16.0~),
-               libkf6colorscheme-dev (>= 6.16.0~),
-               libkf6config-dev (>= 6.16.0~),
-               libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6guiaddons-dev (>= 6.16.0~),
-               libkirigami-dev (>= 6.16.0~),
+               extra-cmake-modules (>= 6.17.0~),
+               libkf6archive-dev (>= 6.17.0~),
+               libkf6colorscheme-dev (>= 6.17.0~),
+               libkf6config-dev (>= 6.17.0~),
+               libkf6coreaddons-dev (>= 6.17.0~),
+               libkf6guiaddons-dev (>= 6.17.0~),
+               libkirigami-dev (>= 6.17.0~),
                libxkbcommon-dev,
                qt6-base-dev (>= 6.5.0+dfsg~),
                qt6-declarative-dev (>= 6.5.0+dfsg~),

## kf6-ksvg 6.18.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.17.0") # handled by release scripts
-set(KF_DEP_VERSION "6.17.0") # handled by release scripts
+set(KF_VERSION "6.18.0") # handled by release scripts
+set(KF_DEP_VERSION "6.18.0") # handled by release scripts
 project(KSvg VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.17.0  NO_MODULE)
+find_package(ECM 6.18.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -55,7 +55,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.16.0
+    KF 6.17.0
 )
 
 #add_definitions(-Wno-deprecated)

=== debian/changelog ===
kf6-ksvg (6.18.0-1) unstable; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.18.0).
  * Update build-deps and deps with the info from cmake.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Tue, 30 Sep 2025 19:18:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,36 +1,34 @@
 Source: kf6-ksvg
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
-Build-Depends: appstream,
-               cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.17.0~),
-               libkf6archive-dev (>= 6.17.0~),
-               libkf6colorscheme-dev (>= 6.17.0~),
-               libkf6config-dev (>= 6.17.0~),
-               libkf6coreaddons-dev (>= 6.17.0~),
-               libkf6guiaddons-dev (>= 6.17.0~),
-               libkirigami-dev (>= 6.17.0~),
+               extra-cmake-modules (>= 6.18.0~),
+               libkf6archive-dev (>= 6.18.0~),
+               libkf6colorscheme-dev (>= 6.18.0~),
+               libkf6config-dev (>= 6.18.0~),
+               libkf6coreaddons-dev (>= 6.18.0~),
+               libkf6guiaddons-dev (>= 6.18.0~),
+               libkirigami-dev (>= 6.18.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.5.0+dfsg~),
-               qt6-declarative-dev (>= 6.5.0+dfsg~),
-               qt6-svg-dev (>= 6.5.0~),
+               qt6-base-dev (>= 6.7.0~),
+               qt6-declarative-dev (>= 6.7.0~),
+               qt6-svg-dev (>= 6.7.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://invent.kde.org/frameworks/ksvg
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ksvg
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ksvg
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ksvg
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ksvg.git
 Rules-Requires-Root: no
 
 Package: libkf6svg-dev
@@ -38,7 +36,7 @@
 Architecture: any
 Depends: libkf6svg6 (= ${binary:Version}),
          qml6-module-org-kde-ksvg (= ${binary:Version}),
-         qt6-base-dev (>= 6.5.0+dfsg~),
+         qt6-base-dev (>= 6.7.0~),
          ${misc:Depends},
 Recommends: libkf6svg-doc (= ${source:Version}),
 Description: library for rendering SVG-based themes - development files
@@ -77,7 +75,8 @@
 Package: libkf6svg6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${shlibs:Depends},
 Description: library for rendering SVG-based themes
  Framework for rendering SVG-based themes with stylesheet re-coloring and
  on-disk caching.
@@ -94,7 +93,9 @@
 
 Package: qml6-module-org-kde-ksvg
 Architecture: any
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends},
+         ${qml6:Depends},
+         ${shlibs:Depends},
 Description: library for rendering SVG-based themes - QML module
  Framework for rendering SVG-based themes with stylesheet re-coloring and
  on-disk caching.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_auto_test:
	xvfb-run -a dh_auto_test

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.sig/ https://download.kde.org/stable/frameworks/([\d.]+)/ksvg-([\d.]+)\.tar\.xz

## kf6-ksvg 6.19.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,12 +1,12 @@
 cmake_minimum_required(VERSION 3.16)
 
-set(KF_VERSION "6.18.0") # handled by release scripts
-set(KF_DEP_VERSION "6.18.0") # handled by release scripts
+set(KF_VERSION "6.19.0") # handled by release scripts
+set(KF_DEP_VERSION "6.19.0") # handled by release scripts
 project(KSvg VERSION ${KF_VERSION})
 
 # ECM setup
 include(FeatureSummary)
-find_package(ECM 6.18.0  NO_MODULE)
+find_package(ECM 6.19.0  NO_MODULE)
 set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://commits.kde.org/extra-cmake-modules")
 feature_summary(WHAT REQUIRED_PACKAGES_NOT_FOUND FATAL_ON_MISSING_REQUIRED_PACKAGES)
 
@@ -55,7 +55,7 @@
 
 ecm_set_disabled_deprecation_versions(
     QT 6.10.0
-    KF 6.17.0
+    KF 6.18.0
 )
 
 #add_definitions(-Wno-deprecated)

=== src/CMakeLists.txt ===
add_subdirectory(ksvg)
add_subdirectory(declarativeimports)

if (BUILD_TOOLS)
    add_subdirectory(tools)
endif()

ecm_qt_install_logging_categories(
    EXPORT KSVG
    FILE ksvg.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)

=== debian/changelog ===
kf6-ksvg (6.19.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (6.18.0)
  * Update symbols.
  * New upstream release (6.19.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 12 Oct 2025 15:07:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,34 +1,36 @@
 Source: kf6-ksvg
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Patrick Franz <deltaone@debian.org>,
            Simon Quigley <tsimonq2@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: appstream,
+               cmake (>= 3.16~),
+               debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-pkgkde-symbolshelper,
                dh-sequence-qmldeps,
-               cmake (>= 3.16~),
                doxygen,
-               extra-cmake-modules (>= 6.18.0~),
-               libkf6archive-dev (>= 6.18.0~),
-               libkf6colorscheme-dev (>= 6.18.0~),
-               libkf6config-dev (>= 6.18.0~),
-               libkf6coreaddons-dev (>= 6.18.0~),
-               libkf6guiaddons-dev (>= 6.18.0~),
-               libkirigami-dev (>= 6.18.0~),
+               extra-cmake-modules (>= 6.19.0~),
+               libkf6archive-dev (>= 6.19.0~),
+               libkf6colorscheme-dev (>= 6.19.0~),
+               libkf6config-dev (>= 6.19.0~),
+               libkf6coreaddons-dev (>= 6.19.0~),
+               libkf6guiaddons-dev (>= 6.19.0~),
+               libkirigami-dev (>= 6.19.0~),
                libxkbcommon-dev,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-declarative-dev (>= 6.7.0~),
-               qt6-svg-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.5.0+dfsg~),
+               qt6-declarative-dev (>= 6.5.0+dfsg~),
+               qt6-svg-dev (>= 6.5.0~),
                qt6-tools-dev (>= 6.5.0~),
                xauth <!nocheck>,
                xvfb <!nocheck>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.0
 Homepage: https://invent.kde.org/frameworks/ksvg
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kf6-ksvg
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kf6-ksvg.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ksvg
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kf6-ksvg
 Rules-Requires-Root: no
 
 Package: libkf6svg-dev
@@ -36,7 +38,7 @@
 Architecture: any
 Depends: libkf6svg6 (= ${binary:Version}),
          qml6-module-org-kde-ksvg (= ${binary:Version}),
-         qt6-base-dev (>= 6.7.0~),
+         qt6-base-dev (>= 6.5.0+dfsg~),
          ${misc:Depends},
 Recommends: libkf6svg-doc (= ${source:Version}),
 Description: library for rendering SVG-based themes - development files
@@ -75,8 +77,7 @@
 Package: libkf6svg6
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
 Description: library for rendering SVG-based themes
  Framework for rendering SVG-based themes with stylesheet re-coloring and
  on-disk caching.
@@ -93,9 +94,7 @@
 
 Package: qml6-module-org-kde-ksvg
 Architecture: any
-Depends: ${misc:Depends},
-         ${qml6:Depends},
-         ${shlibs:Depends},
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: library for rendering SVG-based themes - QML module
  Framework for rendering SVG-based themes with stylesheet re-coloring and
  on-disk caching.

=== debian/rules ===
--- 
+++ 
@@ -9,4 +9,4 @@
 	dh_auto_configure -- -DBUILD_QCH=ON
 
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test
+	xvfb-run dh_auto_test
